Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455502 - [PATCH] llvm interpreter needs -fPIC
Summary: [PATCH] llvm interpreter needs -fPIC
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm
Version: 10
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 455500 488563
TreeView+ depends on / blocked
 
Reported: 2008-07-15 19:09 UTC by Matthew Woehlke
Modified: 2009-03-13 18:35 UTC (History)
1 user (show)

Fixed In Version: 2.4-4.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-13 18:35:39 UTC


Attachments (Terms of Use)

Description Matthew Woehlke 2008-07-15 19:09:13 UTC
Description of problem:
LLVMInterpreter.o is compiled without relocation and cannot be used in shared
libraries (e.g. OpenGTL).

Version-Release number of selected component (if applicable):
2.2 - 2.3-2

How reproducible:
Always

Steps to Reproduce:
1. Download OpenGTL sources (http://opengtl.org/Download.html)
2. Attempt to build OpenGTL
 
Actual results:
Linking CXX shared library libGTLCore.so
/usr/bin/ld: /usr/lib64/llvm/LLVMInterpreter.o: relocation R_X86_64_32 against
`a local symbol' can not be used when making a shared object; recompile with -fPIC
/usr/lib64/llvm/LLVMInterpreter.o: could not read symbols: Bad value
collect2: ld returned 1 exit status

Expected results:
link succeeds

Additional info:
There is a patch also available at http://opengtl.org/Download.html.

Comment 1 Bug Zapper 2008-11-26 02:33:46 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Michel Alexandre Salim 2009-03-04 20:37:51 UTC
This is needed for compiling pure as well. I'll issue an update.

Comment 3 Fedora Update System 2009-03-05 00:50:33 UTC
llvm-2.4-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/llvm-2.4-3.fc10

Comment 4 Fedora Update System 2009-03-05 01:56:23 UTC
llvm-2.4-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/llvm-2.4-4.fc10

Comment 5 Fedora Update System 2009-03-05 16:30:41 UTC
llvm-2.4-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update llvm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2395

Comment 6 Fedora Update System 2009-03-13 18:35:31 UTC
llvm-2.4-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.